Package org.apache.wiki.api.exceptions

# Class FilterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.wiki.api.exceptions.WikiException
org.apache.wiki.api.exceptions.FilterException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `RedirectException`

public class FilterException extends WikiException
A generic PageFilter exception.

Since:
  2.1.112
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FilterException(String msg)`
Constructs an exception.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FilterException

public FilterException(String msg)
Constructs an exception.

Parameters:
  `msg` - exception message.